Uploaded image for project: 'SonarQube'
  1. SonarQube
  2. SONAR-14550

Show analysis warning when scanner uses Java < 11

    XMLWordPrintable

    Details

    • Type: Improvement
    • Status: Closed
    • Priority: Major
    • Resolution: Fixed
    • Affects Version/s: None
    • Fix Version/s: 8.8
    • Component/s: Scanner
    • Labels:
    • Edition:
      Community
    • Production Notes:
      None

      Description

      The scanner shows a warning when Java with version < 11 is used, informing that it won't be supported at some point in 9.X. We want to give more visibility to this and show it as an analysis warning.

        Attachments

          Issue Links

            Activity

              People

              Assignee:
              duarte.meneses Duarte Meneses
              Reporter:
              duarte.meneses Duarte Meneses
              Votes:
              0 Vote for this issue
              Watchers:
              1 Start watching this issue

                Dates

                Due:
                Created:
                Updated:
                Resolved: